package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag205common;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT205Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT205Creator mt205Creator;

    public Tag20Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt205Creator = (MT205Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag20Value = mt205Creator.getTransactionReferenceNumber();
        mt205Creator.set("20",tag20Value);
    }
}
